<template>
  <v-card :title="props.pokemon?.name">
    <v-img
      class="align-end text-white"
      height="200"
      :src="props.pokemon?.cover"
      cover
    />
    <v-card-text>
      <v-row>
        <v-col cols="12">
          <h2>Habilidades</h2>
          <v-list>
            <v-list-item
              v-for="(item, index) in props.pokemon?.details?.abilities"
              :key="index"
              :title="item?.ability?.name"
              density="comfortable"
              :value="item?.ability?.name"
            >
              <template #prepend>
                <v-img src="/images/star.png" width="30" />
              </template>
            </v-list-item>
          </v-list>
        </v-col>
      </v-row>
    </v-card-text>
    <v-card-actions>
      <v-row justify="center">
        <v-col cols="3">
          <v-btn icon @click="__onVerPokemon" color="" elevation="0">
            <v-img src="/images/pokeball.png" width="38"/>
          </v-btn>
        </v-col>
      </v-row>
    </v-card-actions>
  </v-card>
</template>
<script setup>
import { storeToRefs } from "pinia";
import { useRouter } from "vue-router";

import { PokemonStore } from "@/store/str_pokemon.js";

const props = defineProps({
  pokemon: { type: Object, default: {} },
});
const router = useRouter()
const { oPokemon } = storeToRefs(PokemonStore());

const __onVerPokemon = () => {
  oPokemon.value = props.pokemon;

  router.replace({ name : 'pokemon', params: { id: props.pokemon?.details?.id}})
};
</script>